/*
 * OpenFairDB API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.9.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package org.openapitools.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import org.openapitools.client.model.Address;

/**
 * Location
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen", date = "2020-12-19T15:07:54.107442+01:00[Europe/Rome]")
public class Location {
  public static final String SERIALIZED_NAME_DEG = "deg";
  @SerializedName(SERIALIZED_NAME_DEG)
  private List<Double> deg = new ArrayList<Double>();

  public static final String SERIALIZED_NAME_ADR = "adr";
  @SerializedName(SERIALIZED_NAME_ADR)
  private Address adr;


  public Location deg(List<Double> deg) {
    
    this.deg = deg;
    return this;
  }

  public Location addDegItem(Double degItem) {
    this.deg.add(degItem);
    return this;
  }

   /**
   * WGS 84 coordinates (latitude, longitude) in degrees 
   * @return deg
  **/
  @ApiModelProperty(example = "[48.720334,9.152239]", required = true, value = "WGS 84 coordinates (latitude, longitude) in degrees ")

  public List<Double> getDeg() {
    return deg;
  }


  public void setDeg(List<Double> deg) {
    this.deg = deg;
  }


  public Location adr(Address adr) {
    
    this.adr = adr;
    return this;
  }

   /**
   * Get adr
   * @return adr
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public Address getAdr() {
    return adr;
  }


  public void setAdr(Address adr) {
    this.adr = adr;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Location location = (Location) o;
    return Objects.equals(this.deg, location.deg) &&
        Objects.equals(this.adr, location.adr);
  }

  @Override
  public int hashCode() {
    return Objects.hash(deg, adr);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Location {\n");
    sb.append("    deg: ").append(toIndentedString(deg)).append("\n");
    sb.append("    adr: ").append(toIndentedString(adr)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

